Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg.logger
Interface RemoteConfigFileAppender

All Superinterfaces:
  java.rmi.Remote, RemoteConfigAppender

All Known Subinterfaces:
  RemoteConfigDailyRollingFileAppender, RemoteConfigRollingFileAppender

    public interface RemoteConfigFileAppender

extends RemoteConfigAppender

The `RemoteConfigFileAppender` takes charge of managing file appender specific properties.

Since:
  V8.1

Field Summary

Fields inherited from interface jet.server.api.rmi.admin.cfg.logger.RemoteConfigAppender
`DST_CONSOLE, DST_DAILY_ROLLING_FILE, DST_FILE, DST_LF5, DST_NTLOG, DST_ROLLING_FILE, DST_SOCKET, DST_SYSLOG, DST_TELNET, LAYOUT_HTML, LAYOUT_PATTERN, LAYOUT_SIMPLE, LAYOUT_TTCC, LAYOUT_XML, LAYOUTS, THRESHOLD_ALL, THRESHOLD_DEBUG, THRESHOLD_ERROR, THRESHOLD_FATAL, THRESHOLD_INFO, THRESHOLD_OFF, THRESHOLD_WARN, THRESHOLDS`

Method Summary
`int` | `getBufferSize()` get the buffer size of the file appender.
`java.lang.String` | `getFileName()` get the file name of the file appender.
`java.lang.String` | `getLayout()` get the layout of the file appender.
`java.lang.String` | `getPatternConversion()` get the pattern conversion of the file appender.
`boolean` | `isAppendable()` judge whether the file appender is appendable or not?
`boolean` | `isBufferedIO()` judge whether the file appender is io buffered or not?
`void` | `setAppendable(boolean append)` set the file content's append property.
`void` | `setBufferedIO(boolean buffered)` set the buffered io property of the file appender.
`void` | `setBufferSize(int bufSize)` set the buffer size of the file appender.
`void` | `setFileName(java.lang.String filename)` set the file name of the appender.
`void` | `setLayout(java.lang.String layout)` Set the layout of the file appender.
`void` | `setPatternConversion(java.lang.String pattern)` set the appender's pattern conversion.

Methods inherited from interface jet.server.api.rmi.admin.cfg.logger.RemoteConfigAppender
`getName, getThreshold, isSelected, setSelected, setThreshold`

Method Detail

### getLayout

    java.lang.String getLayout()
                               throws java.rmi.RemoteException

  get the layout of the file appender. note: the file appender can only support the following possible layouts:

              "Pattern"
              "HTML"
              "XML"
              "TTCC"
              "Simple"

  Returns:
    the layout value.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setLayout

    void setLayout(java.lang.String layout)
                   throws java.rmi.RemoteException

  Set the layout of the file appender.

  Parameters:
    `layout,` - new layout value.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getPatternConversion

    java.lang.String getPatternConversion()
                                          throws java.rmi.RemoteException

  get the pattern conversion of the file appender.

  Returns:
    the pattern conversion, or null if the appender specified layout doesn't require the pattern conversion.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setPatternConversion

    void setPatternConversion(java.lang.String pattern)
                              throws java.rmi.RemoteException

  set the appender's pattern conversion. `setLayout` should be firstly invoked before attempting to invoke this method.

  Parameters:
    `pattern,` - the pattern conversion value.
  Throws:
    `java.rmi.RemoteException`

### getFileName

    java.lang.String getFileName()
                                 throws java.rmi.RemoteException

  get the file name of the file appender.

  Returns:
    the file name.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setFileName

    void setFileName(java.lang.String filename)
                     throws java.rmi.RemoteException

  set the file name of the appender.

  Parameters:
    `filename,` - the file name.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### isAppendable

    boolean isAppendable()
                         throws java.rmi.RemoteException

  judge whether the file appender is appendable or not?

  Returns:
    true if the file content can be appended, else false.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setAppendable

    void setAppendable(boolean append)
                       throws java.rmi.RemoteException

  set the file content's append property.

  Parameters:
    `append,` - the append boolean value.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### isBufferedIO

    boolean isBufferedIO()
                         throws java.rmi.RemoteException

  judge whether the file appender is io buffered or not?

  Returns:
    true if the file appender is io buffered, else false.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setBufferedIO

    void setBufferedIO(boolean buffered)
                       throws java.rmi.RemoteException

  set the buffered io property of the file appender.

  Parameters:
    `buffered,` - the buffered IO boolean value.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getBufferSize

    int getBufferSize()
                      throws java.rmi.RemoteException

  get the buffer size of the file appender.

  Returns:
    the buffer size value.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### setBufferSize

    void setBufferSize(int bufSize)
                       throws java.rmi.RemoteException

  set the buffer size of the file appender.

  Parameters:
    `bufSize,` - the buffer size.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD